Loading...
Searching...
No Matches
Logger_Impl.h File Reference
`#include <errno.h>`
`#include <cstdarg>`
`#include <string>`
`#include <stdio.h>`
`#include "assa/LogMask.h"`

Go to the source code of this file.

## Classes

class | ASSA::Logger_Impl

## Namespaces

namespace | ASSA

## Macros

#define | _BSDTYPES_DEFINED
#define | BAD_HANDLER -1
| Sort out WIN32/mingw oddities.

## Typedefs

typedef unsigned char | u_char
typedef unsigned short | u_short
typedef unsigned int | u_int
typedef unsigned long | u_long
typedef int | handler_t

## Functions

bool | ASSA::is_valid_handler (handler_t socket_)
| Detect socket() error in a portable way.
void | ASSA::disable_handler (handler_t &socket_)
| Set socket descriptor to invalid value in a portable way.
int | ASSA::get_errno ()
| Fetch error number in a portable way.
void | ASSA::set_errno (int new_errno_)
| Set error number in a portable way.

## Macro Definition Documentation

## _BSDTYPES_DEFINED

#define _BSDTYPES_DEFINED

Definition at line 43 of file Logger_Impl.h.

## BAD_HANDLER

#define BAD_HANDLER -1

Sort out WIN32/mingw oddities.

Definition at line 81 of file Logger_Impl.h.

## Typedef Documentation

## handler_t

typedef int handler_t

Definition at line 82 of file Logger_Impl.h.

## u_char

typedef unsigned char u_char

Definition at line 38 of file Logger_Impl.h.

## u_int

typedef unsigned int u_int

Definition at line 40 of file Logger_Impl.h.

## u_long

typedef unsigned long u_long

Definition at line 41 of file Logger_Impl.h.

## u_short

typedef unsigned short u_short

Definition at line 39 of file Logger_Impl.h.